%define	major	1
%define	libname %mklibname eastwood %{major}
%define	libdev	%mklibname -d eastwood

Summary:	Game data library
Name:		libeastwood
Version:	0.3.1
Release:	2
License:	GPLv3+
Group:		System/Libraries
URL:		http://launchpad.net/doonlunacy
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	SDL-devel SDL_mixer-devel libsamplerate-devel python-devel
BuildRequires:	cmake python-setuptools

%description
This library provides support for handling wsa, shp, icn, cps, pal, adl, voc,
pak++ data files used in some games (mainly targetting Dune 2).

%package -n	%{libname}
Summary:	Game data library
Group:		System/Libraries

%description -n	%{libname}
This library provides support for handling wsa, shp, icn, cps, pal, adl, voc,
pak++ data files used in some games (mainly targetting Dune 2).

%package -n	%{libdev}
Summary:	Development files and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}

%description -n	%{libdev}
This package contains the headers needed to build applications with %{name}.

%package -n	python-eastwood
Summary:	Python bindings for %{name}
Group:		Development/Python

%description -n	python-eastwood
This package contains python bindings for %{name} and eastwood, a command line
utility using the bindings.

%prep
%setup -q

%build
%define _cmake_verbose 1
%cmake -DLIBEASTWOOD_BUILD_PYTHON=1 -DLIBEASTWOOD_BUILD_SDL=1
%make

%install
cd build
%makeinstall_std

%files -n %{libname}
%doc README
%{_libdir}/libeastwood.so.%{major}*

%files -n %{libdev}
%doc doc/* TODO
%{_includedir}/eastwood
%{_libdir}/libeastwood.so
%{_libdir}/pkgconfig/libeastwood.pc
%{_datadir}/cmake/Modules/FindLibEastwood.cmake

%files -n python-eastwood
%{_bindir}/eastwood
%{python_sitearch}/eastwood.py*
%{python_sitearch}/pyeastwood*


%changelog
* Fri May 06 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.1-2
+ Revision: 669987
- drop SDL_eastwood library, it's only built for testing the SDL templates

* Fri May 06 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3.1-1
+ Revision: 669945
- new version
- clean out legacy rpm stuff

* Wed Nov 03 2010 Michael Scherer <misc@mandriva.org> 0.3-2mdv2011.0
+ Revision: 592731
- rebuild for python 2.7

* Fri Dec 11 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.3-1mdv2010.1
+ Revision: 476343
- add python-setuptools to buildrequires as well
- add cmake to buildrequires
- update to new and funky fresh 0.3 \o/

* Tue Jul 21 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.2-1mdv2010.0
+ Revision: 398345
- add 'cmake' to buildrequires
- update url
- new release: 0.2
- ditch major from devel package name
- add dependency on library package for devel package
- import libeastwood


